namespace SIGCM.Domain.Interfaces;
using SIGCM.Domain.Entities;

public interface IAttributeDefinitionRepository
{
    Task<IEnumerable<AttributeDefinition>> GetByCategoryIdAsync(int categoryId);
    Task<int> AddAsync(AttributeDefinition attribute);
    Task DeleteAsync(int id);
}
